# Visualization
TKV2d
Prs2d

# Prs2d_Axis Class Reference

Constructs the primitive Axis
.

`#include <Prs2d_Axis.hxx>`

Inheritance diagram for Prs2d_Axis:

[legend]

## Public Member Functions

Standard_EXPORT | Prs2d_Axis (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const gp_Ax22d &anAx, const Standard_Real aLength, const Standard_Real anArrAngle=30.0, const Standard_Real anArrLength=30.0, const Prs2d_TypeOfArrow anArrType=Prs2d_TOA_OPENED, const Standard_Real aTxtScale=10.0)
| Initializes the axis 2 position <anax> .
Standard_EXPORT | Prs2d_Axis (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const gp_Ax2d &anAx, const Standard_Real aLength, const Standard_Real anArrAngle=30.0, const Standard_Real anArrLength=30.0, const Prs2d_TypeOfArrow anArrType=Prs2d_TOA_OPENED, const Standard_Real aTxtScale=10.0)
| Initializes the axis position <anax>. .
Standard_EXPORT | Prs2d_Axis (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const gp_Lin2d &aLine, const Standard_Real aLength, const Standard_Real anArrAngle=30.0, const Standard_Real anArrLength=30.0, const Prs2d_TypeOfArrow anArrType=Prs2d_TOA_OPENED, const Standard_Real aTxtScale=10.0)
| Initializes the line <aline> .
Standard_EXPORT Prs2d_TypeOfArrow | TypeOfArrow () const
| Returns type of arrow Type is: TOA_OPENED, TOA_CLOSED, TOA_FILLED .
Standard_EXPORT const Handle_TColgp_HArray1OfPnt2d | ArrayOfPnt2d () const
Standard_EXPORT const Handle_TColgp_HArray1OfPnt2d | ArrayOfXArrowPnt2d () const
Standard_EXPORT const Handle_TColgp_HArray1OfPnt2d | ArrayOfYArrowPnt2d () const
Standard_EXPORT Standard_Real | TextScale () const
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the axis <me>. .
virtual Standard_EXPORT void | DrawElement (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws element <anindex> of the axis <me>. .
virtual Standard_EXPORT void | DrawVertex (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws vertex <anindex> of the axis <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the axis <me> is picked, Standard_False if not. .

## Private Attributes

Standard_ShortReal | myX0
Standard_ShortReal | myY0
Standard_ShortReal | myX1
Standard_ShortReal | myY1
Standard_ShortReal | myX2
Standard_ShortReal | myY2
TShort_Array1OfShortReal | myXVertX
TShort_Array1OfShortReal | myYVertX
TShort_Array1OfShortReal | myXVertY
TShort_Array1OfShortReal | myYVertY
Prs2d_TypeOfArrow | myArrType
Standard_Boolean | myisXY
Standard_Real | myTextScale

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_Axis::Prs2d_Axis | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const gp_Ax22d & | anAx,
|  | const Standard_Real | aLength,
|  | const Standard_Real | anArrAngle = `30.0`,
|  | const Standard_Real | anArrLength = `30.0`,
|  | const Prs2d_TypeOfArrow | anArrType = `Prs2d_TOA_OPENED`,
|  | const Standard_Real | aTxtScale = `10.0`
| ) |

Standard_EXPORT Prs2d_Axis::Prs2d_Axis | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const gp_Ax2d & | anAx,
|  | const Standard_Real | aLength,
|  | const Standard_Real | anArrAngle = `30.0`,
|  | const Standard_Real | anArrLength = `30.0`,
|  | const Prs2d_TypeOfArrow | anArrType = `Prs2d_TOA_OPENED`,
|  | const Standard_Real | aTxtScale = `10.0`
| ) |

Standard_EXPORT Prs2d_Axis::Prs2d_Axis | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const gp_Lin2d & | aLine,
|  | const Standard_Real | aLength,
|  | const Standard_Real | anArrAngle = `30.0`,
|  | const Standard_Real | anArrLength = `30.0`,
|  | const Prs2d_TypeOfArrow | anArrType = `Prs2d_TOA_OPENED`,
|  | const Standard_Real | aTxtScale = `10.0`
| ) |

## Member Function Documentation

Standard_EXPORT const Handle_TColgp_HArray1OfPnt2d Prs2d_Axis::ArrayOfPnt2d | ( |  | ) | const

Standard_EXPORT const Handle_TColgp_HArray1OfPnt2d Prs2d_Axis::ArrayOfXArrowPnt2d | ( |  | ) | const

Standard_EXPORT const Handle_TColgp_HArray1OfPnt2d Prs2d_Axis::ArrayOfYArrowPnt2d | ( |  | ) | const

Standard_EXPORT void Prs2d_Axis::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Axis::DrawElement | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Axis::DrawVertex | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT const Prs2d_Axis::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Standard_Boolean Prs2d_Axis::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Axis::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Standard_Real Prs2d_Axis::TextScale | ( |  | ) | const

Standard_EXPORT Prs2d_TypeOfArrow Prs2d_Axis::TypeOfArrow | ( |  | ) | const

## Field Documentation

Prs2d_TypeOfArrow Prs2d_Axis::myArrType `[private]`

Standard_Boolean Prs2d_Axis::myisXY `[private]`

Standard_Real Prs2d_Axis::myTextScale `[private]`

Standard_ShortReal Prs2d_Axis::myX0 `[private]`

Standard_ShortReal Prs2d_Axis::myX1 `[private]`

Standard_ShortReal Prs2d_Axis::myX2 `[private]`

TShort_Array1OfShortReal Prs2d_Axis::myXVertX `[private]`

TShort_Array1OfShortReal Prs2d_Axis::myXVertY `[private]`

Standard_ShortReal Prs2d_Axis::myY0 `[private]`

Standard_ShortReal Prs2d_Axis::myY1 `[private]`

Standard_ShortReal Prs2d_Axis::myY2 `[private]`

TShort_Array1OfShortReal Prs2d_Axis::myYVertX `[private]`

TShort_Array1OfShortReal Prs2d_Axis::myYVertY `[private]`

The documentation for this class was generated from the following file:

- Prs2d_Axis.hxx